%global packname  rlecuyer 
%global packver   0.3
%global packrel   5
%global Rvers     3.4.0

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:    1%{?dist}
Summary:          R interface to RNG with multiple streams
Summary(fr):      Interface R pour RNG avec divers options

License:          GPL-2.0-or-later
URL:              http://cran.r-project.org/web/packages/rlecuyer/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz

BuildRequires:    R-devel >= %{Rvers} tex(latex)

%description
Provides an interface to the C implementation of the random number 
generator with multiple independent streams developed by L'Ecuyer 
et al (2002). The main purpose of this package is to enable the 
use of this random number generator in parallel R applications.  

%description -l fr
Fournit une interface pour le programme de generation de nombres aleatoire
en C developpe par l'Ecuyer et al. (2002) avec divers options independantes
L'objectif principale de ce programme etant d'autoriser l'utilisation de ce
generateur de nombres aleatoire en parallele avec un programme R.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.5-1
- initial build
